com.trendmicro.ds.antimalware.rest.object

## Class AntiMalwareScanConfig

- java.lang.Object
- - com.trendmicro.ds.antimalware.rest.object.AntiMalwareScanConfig

-     public class AntiMalwareScanConfig
      extends java.lang.Object

  Author:
    James D Lin

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntiMalwareScanConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getAlert()` Control whether or not alert when this scan configuration logs an event should be enabled.
    `java.lang.Integer` | `getAntiMalwareId()` Internal identifier uniquely identifying an antiMalware scan configuration
    `java.lang.Integer` | `getConfigurationType()` AntiMalware Scan configuration type value; Supported values are 1 (real-time scan) and 2 (manual/schedule scan)
    `java.lang.Boolean` | `getCorrelativeScan()` Control whether or not endpoint correlation scan be enabled.
    `java.lang.Integer` | `getCpuUsage()` The CPU usage (Agent only); supported value are 1 (low), 2 (medium) and 3 (high).
    `java.lang.String` | `getDescription()` The description of this AntiMalware Scan configuration.
    `java.lang.Boolean` | `getDocumentRecovery()` Control whether or not automatically backup document for ransomeware detection should be enabled.
    `java.lang.Boolean` | `getEnableBehaviorMonitoringDetection()` Control whether or not the BehaviorMonitoringDetection should be enabled.
    `java.lang.Integer` | `getExcludedScanDirectoryListID()` The excluded directory list ID to scan.
    `java.lang.Integer` | `getExcludedScanFileExtListID()` The excluded file extension list ID to scan.
    `java.lang.Integer` | `getExcludedScanFileListID()` The excluded file list ID to scan.
    `java.lang.Integer` | `getExcludedScanProcessFileListID()` The excluded process image file list ID to scan.
    `java.lang.Integer` | `getFilesToScan()` The files to scan; supported value are 1 (all files), 2 (file types scanned by intelliScan) and 3 (specific file extension list).
    `java.lang.Integer` | `getFoldersToScan()` The directories to scan; supported value are 1 (all folders) and 2 (specified folders).
    `java.lang.Boolean` | `getHeuristicDetectionEnabled()` Control whether or not heuristic detection should be enabled.
    `java.lang.Integer` | `getHeuristicDetectionOption()` Heuristic detection option when enable heuristic detection
    `java.lang.Integer` | `getIncludedScanDirectoryListID()` The directory list ID to scan.
    `java.lang.Boolean` | `getIntelliTrapEnabled()` Control whether or not IntelliTrap(Real-time only) should be enabled.
    `java.lang.Integer` | `getMaximumScanLayers()` Maximum levels of compression from which to extract files when scanning compressed files; Default value is 2, and possible value is an integer from 1 to 6.
    `java.lang.String` | `getName()` The name of this AntiMalware Scan configuration.
    `java.lang.Boolean` | `getRealtimeMemoryScan()` Control whether or not process memory scan should be enabled.
    `java.lang.Integer` | `getRemediationActionsOption()` The option of Remediation Action; supported value is 0 (Use recommended defaults) and 1 (custom).
    `java.lang.Integer` | `getScanAction()` Scan action for recognized malware; supported value are 1 (Use remediation action determined by ActiveAction) and 2 (custom actions).
    `java.lang.Integer` | `getScanActionForCookie()` Custom scan action for cookies;
    `java.lang.Integer` | `getScanActionForCVE()` Custom scan action for CVE;
    `java.lang.Integer` | `getScanActionForHeuristicDetection()` Custom scan action for Heuristic Detection;
    `java.lang.Integer` | `getScanActionForOtherThreats()` Custom scan action for other threats;
    `java.lang.Integer` | `getScanActionForPacker()` Custom scan action for packer;
    `java.lang.Integer` | `getScanActionForSpyware()` Custom scan action for spyware;
    `java.lang.Integer` | `getScanActionForTrojans()` Custom scan action for trojans;
    `java.lang.Integer` | `getScanActionForVirus()` Custom scan action for virus;
    `java.lang.Boolean` | `getScanCompressed()` Whether or not scanning compressed files should be enabled.
    `java.lang.Integer` | `getScanCompressedNumberOfFiles()` Maximum number of files to extract when scanning compressed files.
    `java.lang.Integer` | `getScanCompressedSmaller()` Maximum size (MegaBytes) of individual extracted files when scanning compressed files.
    `java.lang.Integer` | `getScanCustomAction1()`
    `java.lang.Integer` | `getScanCustomAction2()`
    `java.lang.Integer` | `getScanCustomActionForGeneric()`
    `java.lang.Integer` | `getScanFileExtListID()` The file extension list ID to scan.
    `java.lang.Integer` | `getScanFilesActivity()` Scan files when the following activities: - 1 maps to Read only - 2 maps to Write only - 3 maps to Read/Write
    `java.lang.Boolean` | `getScanNetworkFolder()` Control whether or not scanning network directory should be enabled.
    `java.lang.Boolean` | `getScanOLE()` Control whether or not scanning Microsoft Office use Object Linking and Embedding (OLE) should be enabled.
    `java.lang.Boolean` | `getScanOLEExploit()` Control whether or not scanning exploit code in Microsoft Office Objects should be enabled.
    `java.lang.Integer` | `getScanOLELayer()` Maximum OLE layers when scanning OLE files.
    `java.lang.Boolean` | `getSpywareEnabled()` Control whether or not scanning Spyware/Grayware should be enabled.
    `java.lang.Integer` | `getUnScannableFileAction()`
    `void` | `setAlert(java.lang.Boolean alert)`
    `void` | `setAntiMalwareId(java.lang.Integer antiMalwareId)`
    `void` | `setConfigurationType(java.lang.Integer configurationType)`
    `void` | `setCorrelativeScan(java.lang.Boolean correlativeScan)`
    `void` | `setCpuUsage(java.lang.Integer cpuUsage)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setDocumentRecovery(java.lang.Boolean documentRecovery)`
    `void` | `setEnableBehaviorMonitoringDetection(java.lang.Boolean enableBehaviorMonitoringDetection)`
    `void` | `setExcludedScanDirectoryListID(java.lang.Integer excludedScanDirectoryListID)`
    `void` | `setExcludedScanFileExtListID(java.lang.Integer excludedScanFileExtListID)`
    `void` | `setExcludedScanFileListID(java.lang.Integer excludedScanFileListID)`
    `void` | `setExcludedScanProcessFileListID(java.lang.Integer excludedScanProcessFileListID)`
    `void` | `setFilesToScan(java.lang.Integer filesToScan)`
    `void` | `setFoldersToScan(java.lang.Integer foldersToScan)`
    `void` | `setHeuristicDetectionEnabled(java.lang.Boolean heuristicDetectionEnabled)`
    `void` | `setHeuristicDetectionOption(java.lang.Integer heuristicDetectionOption)`
    `void` | `setIncludedScanDirectoryListID(java.lang.Integer includedScanDirectoryListID)`
    `void` | `setIntelliTrapEnabled(java.lang.Boolean intelliTrapEnabled)`
    `void` | `setMaximumScanLayers(java.lang.Integer maximumScanLayers)`
    `void` | `setName(java.lang.String name)`
    `void` | `setRealtimeMemoryScan(java.lang.Boolean realtimeMemoryScan)`
    `void` | `setRemediationActionsOption(java.lang.Integer remediationActionsOption)`
    `void` | `setScanAction(java.lang.Integer scanAction)`
    `void` | `setScanActionForCookie(java.lang.Integer scanActionForCookie)`
    `void` | `setScanActionForCVE(java.lang.Integer scanActionForCVE)`
    `void` | `setScanActionForHeuristicDetection(java.lang.Integer scanActionForHeuristicDetection)`
    `void` | `setScanActionForOtherThreats(java.lang.Integer scanActionForOtherThreats)`
    `void` | `setScanActionForPacker(java.lang.Integer scanActionForPacker)`
    `void` | `setScanActionForSpyware(java.lang.Integer scanActionForSpyware)`
    `void` | `setScanActionForTrojans(java.lang.Integer scanActionForTrojans)`
    `void` | `setScanActionForVirus(java.lang.Integer scanActionForVirus)`
    `void` | `setScanCompressed(java.lang.Boolean scanCompressed)`
    `void` | `setScanCompressedNumberOfFiles(java.lang.Integer scanCompressedNumberOfFiles)`
    `void` | `setScanCompressedSmaller(java.lang.Integer scanCompressedSmaller)`
    `void` | `setScanCustomAction1(java.lang.Integer scanCustomAction1)`
    `void` | `setScanCustomAction2(java.lang.Integer scanCustomAction2)`
    `void` | `setScanCustomActionForGeneric(java.lang.Integer scanCustomActionForGeneric)`
    `void` | `setScanFileExtListID(java.lang.Integer scanFileExtListID)`
    `void` | `setScanFilesActivity(java.lang.Integer scanFilesActivity)`
    `void` | `setScanNetworkFolder(java.lang.Boolean scanNetworkFolder)`
    `void` | `setScanOLE(java.lang.Boolean scanOLE)`
    `void` | `setScanOLEExploit(java.lang.Boolean scanOLEExploit)`
    `void` | `setScanOLELayer(java.lang.Integer scanOLELayer)`
    `void` | `setSpywareEnabled(java.lang.Boolean spywareEnabled)`
    `void` | `setUnScannableFileAction(java.lang.Integer unScannableFileAction)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AntiMalwareScanConfig

          public AntiMalwareScanConfig()

  - ### Method Detail

    - #### getFoldersToScan

          public java.lang.Integer getFoldersToScan()

      The directories to scan; supported value are 1 (all folders) and 2 (specified folders).

    - #### setFoldersToScan

          public void setFoldersToScan(java.lang.Integer foldersToScan)

    - #### getFilesToScan

          public java.lang.Integer getFilesToScan()

      The files to scan; supported value are 1 (all files), 2 (file types scanned by intelliScan) and 3 (specific file extension list).

    - #### setFilesToScan

          public void setFilesToScan(java.lang.Integer filesToScan)

    - #### getIncludedScanDirectoryListID

          public java.lang.Integer getIncludedScanDirectoryListID()

      The directory list ID to scan.

    - #### setIncludedScanDirectoryListID

          public void setIncludedScanDirectoryListID(java.lang.Integer includedScanDirectoryListID)

    - #### getScanFileExtListID

          public java.lang.Integer getScanFileExtListID()

      The file extension list ID to scan.

    - #### setScanFileExtListID

          public void setScanFileExtListID(java.lang.Integer scanFileExtListID)

    - #### getScanFilesActivity

          public java.lang.Integer getScanFilesActivity()

      Scan files when the following activities:
      - 1 maps to Read only
      - 2 maps to Write only
      - 3 maps to Read/Write

    - #### setScanFilesActivity

          public void setScanFilesActivity(java.lang.Integer scanFilesActivity)

    - #### getIntelliTrapEnabled

          public java.lang.Boolean getIntelliTrapEnabled()

      Control whether or not IntelliTrap(Real-time only) should be enabled.

    - #### setIntelliTrapEnabled

          public void setIntelliTrapEnabled(java.lang.Boolean intelliTrapEnabled)

    - #### getScanNetworkFolder

          public java.lang.Boolean getScanNetworkFolder()

      Control whether or not scanning network directory should be enabled.

    - #### setScanNetworkFolder

          public void setScanNetworkFolder(java.lang.Boolean scanNetworkFolder)

    - #### getScanCompressed

          public java.lang.Boolean getScanCompressed()

      Whether or not scanning compressed files should be enabled. If this value is set to `false` then the value of `scanCompressedSmaller`, `maximumScanLayers` and `scanCompressedNumberOfFiles` are ignored.

    - #### setScanCompressed

          public void setScanCompressed(java.lang.Boolean scanCompressed)

    - #### getScanCompressedSmaller

          public java.lang.Integer getScanCompressedSmaller()

      Maximum size (MegaBytes) of individual extracted files when scanning compressed files. Default value is 2.

    - #### setScanCompressedSmaller

          public void setScanCompressedSmaller(java.lang.Integer scanCompressedSmaller)

    - #### getMaximumScanLayers

          public java.lang.Integer getMaximumScanLayers()

      Maximum levels of compression from which to extract files when scanning compressed files; Default value is 2, and possible value is an integer from 1 to 6.

    - #### setMaximumScanLayers

          public void setMaximumScanLayers(java.lang.Integer maximumScanLayers)

    - #### getScanCompressedNumberOfFiles

          public java.lang.Integer getScanCompressedNumberOfFiles()

      Maximum number of files to extract when scanning compressed files. Default value is 10.

    - #### setScanCompressedNumberOfFiles

          public void setScanCompressedNumberOfFiles(java.lang.Integer scanCompressedNumberOfFiles)

    - #### getSpywareEnabled

          public java.lang.Boolean getSpywareEnabled()

      Control whether or not scanning Spyware/Grayware should be enabled.

    - #### setSpywareEnabled

          public void setSpywareEnabled(java.lang.Boolean spywareEnabled)

    - #### getCpuUsage

          public java.lang.Integer getCpuUsage()

      The CPU usage (Agent only); supported value are 1 (low), 2 (medium) and 3 (high). Default value is 3. Lower the CPU usage level to increase the wait time between file scans and conserve CPU resources.

    - #### setCpuUsage

          public void setCpuUsage(java.lang.Integer cpuUsage)

    - #### getScanOLE

          public java.lang.Boolean getScanOLE()

      Control whether or not scanning Microsoft Office use Object Linking and Embedding (OLE) should be enabled. If this value is set to `false` then the value of `scanOLEExploit` and `scanOLELayer` are ignored.

    - #### setScanOLE

          public void setScanOLE(java.lang.Boolean scanOLE)

    - #### getScanOLEExploit

          public java.lang.Boolean getScanOLEExploit()

      Control whether or not scanning exploit code in Microsoft Office Objects should be enabled.

    - #### setScanOLEExploit

          public void setScanOLEExploit(java.lang.Boolean scanOLEExploit)

    - #### getScanOLELayer

          public java.lang.Integer getScanOLELayer()

      Maximum OLE layers when scanning OLE files. Default value is 3, and possible value is an integer from 1 to 30

    - #### setScanOLELayer

          public void setScanOLELayer(java.lang.Integer scanOLELayer)

    - #### getExcludedScanDirectoryListID

          public java.lang.Integer getExcludedScanDirectoryListID()

      The excluded directory list ID to scan.

    - #### setExcludedScanDirectoryListID

          public void setExcludedScanDirectoryListID(java.lang.Integer excludedScanDirectoryListID)

    - #### getExcludedScanFileListID

          public java.lang.Integer getExcludedScanFileListID()

      The excluded file list ID to scan.

    - #### setExcludedScanFileListID

          public void setExcludedScanFileListID(java.lang.Integer excludedScanFileListID)

    - #### getExcludedScanFileExtListID

          public java.lang.Integer getExcludedScanFileExtListID()

      The excluded file extension list ID to scan.

    - #### setExcludedScanFileExtListID

          public void setExcludedScanFileExtListID(java.lang.Integer excludedScanFileExtListID)

    - #### getExcludedScanProcessFileListID

          public java.lang.Integer getExcludedScanProcessFileListID()

      The excluded process image file list ID to scan. (Real-time scan only)

    - #### setExcludedScanProcessFileListID

          public void setExcludedScanProcessFileListID(java.lang.Integer excludedScanProcessFileListID)

    - #### getRemediationActionsOption

          public java.lang.Integer getRemediationActionsOption()

      The option of Remediation Action; supported value is 0 (Use recommended defaults) and 1 (custom).

    - #### setRemediationActionsOption

          public void setRemediationActionsOption(java.lang.Integer remediationActionsOption)

    - #### getScanAction

          public java.lang.Integer getScanAction()

      Scan action for recognized malware; supported value are 1 (Use remediation action determined by ActiveAction) and 2 (custom actions). If this value is set to `1` then the value of `scanActionForVirus`, `scanActionForTrojans` `scanActionForPacker` `scanActionForSpyware` `scanActionForOtherThreats` `scanActionForCookie` `scanActionForHeuristicDetection` `scanActionForCVE` are ignored.

    - #### setScanAction

          public void setScanAction(java.lang.Integer scanAction)

    - #### getScanActionForVirus

          public java.lang.Integer getScanActionForVirus()

      Custom scan action for virus;

      Supported the following actions in Real-time scan:
      - 1 maps to Pass
      - 2 maps to Delete
      - 3 maps to quarantine
      - 4 maps to clean
      - 5 maps to deny access

      Supported the following actions in Manual/Schedule scan:
      - 1 maps to Pass
      - 2 maps to Delete
      - 3 maps to quarantine
      - 4 maps to clean

    - #### setScanActionForVirus

          public void setScanActionForVirus(java.lang.Integer scanActionForVirus)

    - #### getScanActionForTrojans

          public java.lang.Integer getScanActionForTrojans()

      Custom scan action for trojans;

      Supported the following actions in Real-time scan:
      - 1 maps to Pass
      - 2 maps to Delete
      - 3 maps to quarantine
      - 5 maps to deny access

      Supported the following actions in Manual/Schedule scan:
      - 1 maps to Pass
      - 2 maps to Delete
      - 3 maps to quarantine

    - #### setScanActionForTrojans

          public void setScanActionForTrojans(java.lang.Integer scanActionForTrojans)

    - #### getScanActionForPacker

          public java.lang.Integer getScanActionForPacker()

      Custom scan action for packer;

      Supported the following actions in Real-time scan:
      - 1 maps to Pass
      - 2 maps to Delete
      - 3 maps to quarantine
      - 5 maps to deny access

      Supported the following actions in Manual/Schedule scan:
      - 1 maps to Pass
      - 2 maps to Delete
      - 3 maps to quarantine

    - #### setScanActionForPacker

          public void setScanActionForPacker(java.lang.Integer scanActionForPacker)

    - #### getScanActionForSpyware

          public java.lang.Integer getScanActionForSpyware()

      Custom scan action for spyware;

      Supported the following actions in Real-time scan:
      - 1 maps to Pass
      - 2 maps to Delete
      - 3 maps to quarantine
      - 5 maps to deny access

      Supported the following actions in Manual/Schedule scan:
      - 1 maps to Pass
      - 2 maps to Delete
      - 3 maps to quarantine

    - #### setScanActionForSpyware

          public void setScanActionForSpyware(java.lang.Integer scanActionForSpyware)

    - #### getScanActionForOtherThreats

          public java.lang.Integer getScanActionForOtherThreats()

      Custom scan action for other threats;

      Supported the following actions in Real-time scan:
      - 1 maps to Pass
      - 2 maps to Delete
      - 3 maps to quarantine
      - 4 maps to clean
      - 5 maps to deny access

      Supported the following actions in Manual/Schedule scan:
      - 1 maps to Pass
      - 2 maps to Delete
      - 3 maps to quarantine
      - 4 maps to clean

    - #### setScanActionForOtherThreats

          public void setScanActionForOtherThreats(java.lang.Integer scanActionForOtherThreats)

    - #### getScanActionForCookie

          public java.lang.Integer getScanActionForCookie()

      Custom scan action for cookies;

      Supported the following actions in Manual/Schedule scan:
      - 1 maps to Pass
      - 2 maps to Delete

    - #### setScanActionForCookie

          public void setScanActionForCookie(java.lang.Integer scanActionForCookie)

    - #### getScanCustomAction1

          public java.lang.Integer getScanCustomAction1()

    - #### setScanCustomAction1

          public void setScanCustomAction1(java.lang.Integer scanCustomAction1)

    - #### getScanCustomAction2

          public java.lang.Integer getScanCustomAction2()

    - #### setScanCustomAction2

          public void setScanCustomAction2(java.lang.Integer scanCustomAction2)

    - #### getUnScannableFileAction

          public java.lang.Integer getUnScannableFileAction()

    - #### setUnScannableFileAction

          public void setUnScannableFileAction(java.lang.Integer unScannableFileAction)

    - #### getScanCustomActionForGeneric

          public java.lang.Integer getScanCustomActionForGeneric()

    - #### setScanCustomActionForGeneric

          public void setScanCustomActionForGeneric(java.lang.Integer scanCustomActionForGeneric)

    - #### getAlert

          public java.lang.Boolean getAlert()

      Control whether or not alert when this scan configuration logs an event should be enabled.

    - #### setAlert

          public void setAlert(java.lang.Boolean alert)

    - #### getConfigurationType

          public java.lang.Integer getConfigurationType()

      AntiMalware Scan configuration type value; Supported values are 1 (real-time scan) and 2 (manual/schedule scan)

    - #### setConfigurationType

          public void setConfigurationType(java.lang.Integer configurationType)

    - #### getName

          public java.lang.String getName()

      The name of this AntiMalware Scan configuration.

    - #### setName

          public void setName(java.lang.String name)

    - #### getDescription

          public java.lang.String getDescription()

      The description of this AntiMalware Scan configuration.

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getAntiMalwareId

          public java.lang.Integer getAntiMalwareId()

      Internal identifier uniquely identifying an antiMalware scan configuration

    - #### setAntiMalwareId

          public void setAntiMalwareId(java.lang.Integer antiMalwareId)

    - #### getHeuristicDetectionEnabled

          public java.lang.Boolean getHeuristicDetectionEnabled()

      Control whether or not heuristic detection should be enabled.

    - #### setHeuristicDetectionEnabled

          public void setHeuristicDetectionEnabled(java.lang.Boolean heuristicDetectionEnabled)

    - #### getScanActionForCVE

          public java.lang.Integer getScanActionForCVE()

      Custom scan action for CVE;

      Supported the following actions in Real-time scan:
      - 1 maps to Pass
      - 2 maps to Delete
      - 3 maps to quarantine

      Supported the following actions in Manual/Schedule scan:
      - 1 maps to Pass
      - 2 maps to Delete
      - 3 maps to quarantine

    - #### setScanActionForCVE

          public void setScanActionForCVE(java.lang.Integer scanActionForCVE)

    - #### getScanActionForHeuristicDetection

          public java.lang.Integer getScanActionForHeuristicDetection()

      Custom scan action for Heuristic Detection;

      Supported the following actions in Real-time scan:
      - 1 maps to Pass
      - 2 maps to Delete
      - 3 maps to quarantine

      Supported the following actions in Manual/Schedule scan:
      - 1 maps to Pass
      - 2 maps to Delete
      - 3 maps to quarantine

    - #### setScanActionForHeuristicDetection

          public void setScanActionForHeuristicDetection(java.lang.Integer scanActionForHeuristicDetection)

    - #### getEnableBehaviorMonitoringDetection

          public java.lang.Boolean getEnableBehaviorMonitoringDetection()

      Control whether or not the BehaviorMonitoringDetection should be enabled.

    - #### setEnableBehaviorMonitoringDetection

          public void setEnableBehaviorMonitoringDetection(java.lang.Boolean enableBehaviorMonitoringDetection)

    - #### getDocumentRecovery

          public java.lang.Boolean getDocumentRecovery()

      Control whether or not automatically backup document for ransomeware detection should be enabled.

    - #### setDocumentRecovery

          public void setDocumentRecovery(java.lang.Boolean documentRecovery)

    - #### getRealtimeMemoryScan

          public java.lang.Boolean getRealtimeMemoryScan()

      Control whether or not process memory scan should be enabled.

    - #### setRealtimeMemoryScan

          public void setRealtimeMemoryScan(java.lang.Boolean realtimeMemoryScan)

    - #### getCorrelativeScan

          public java.lang.Boolean getCorrelativeScan()

      Control whether or not endpoint correlation scan be enabled.

    - #### setCorrelativeScan

          public void setCorrelativeScan(java.lang.Boolean correlativeScan)

    - #### getHeuristicDetectionOption

          public java.lang.Integer getHeuristicDetectionOption()

      Heuristic detection option when enable heuristic detection

      Supported the following options in heuristic detection:
      - 0 maps to CVE Exploit
      - 1 maps to CVE Exploit and Heuristic Detection

    - #### setHeuristicDetectionOption

          public void setHeuristicDetectionOption(java.lang.Integer heuristicDetectionOption)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.